API
REST API voor monitors, heartbeats, statistieken, kanalen en statuspagina's. Authenticatie met API-sleutels.
Authenticatie
Maak een sleutel aan onder API-sleutels (Pro). Verstuur deze als Bearer-token.
curl https://app.uptimepush.com/api/v1/monitors -H "Authorization: Bearer up_live_..."Monitors
- GET /api/v1/monitors – lijst
- POST /api/v1/monitors – aanmaken (name, type, url, interval_sec, ...)
- GET /api/v1/monitors/:id – details
- PATCH /api/v1/monitors/:id – bijwerken
- DELETE /api/v1/monitors/:id
- POST /api/v1/monitors/:id/pause en /resume
- GET /api/v1/monitors/:id/heartbeats?hours=24
- GET /api/v1/monitors/:id/stats?days=30
Een monitor aanmaken
curl -X POST https://app.uptimepush.com/api/v1/monitors \
-H "Authorization: Bearer up_live_..." -H "Content-Type: application/json" \
-d '{"name":"API","type":"http","url":"https://api.example.com/health","interval_sec":60}'Kanalen en statuspagina's
- GET/POST /api/v1/channels, POST /api/v1/channels/:id/test
- GET/POST /api/v1/status-pages
- GET /api/status/:slug.json – openbare status-JSON
Antwoorden
Alle antwoorden zijn JSON met ok: true of ok: false plus een foutcode. Rate limit: 600 verzoeken per minuut per sleutel.
Je website slaapt nooit. Jij nu wel.
Begin binnen enkele minuten met monitoren. Je eerste 10 monitors zijn van ons.